Unit SF71R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UTSF16_p;

procedure SF71R(X :Real; RLAM :Real; A :Real; var PROB :Real;
                var IER :Integer);

implementation

procedure SF71R(X :Real; RLAM :Real; A :Real; var PROB :Real;
                var IER :Integer);
label
_10,_20,_30;
begin
IER  := 0;
if ( RLAM  <=  0.0 )  
 then goto _20;
if ( X  >=  A ) 
 then goto _10;
PROB  := 0.5*Exp(RLAM*(X-A));
goto _30;
_10:
PROB  := 1.0 -0.5*Exp(RLAM*(A-X));
goto _30;
_20:

{        OOHOE AAHE   RLAM }

PROB  := 0.0;
IER  := 65;
UTSF16(IER,3);
_30:
end;

end.
